CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | Properties
CommandMessenger.Bluetooth.BluetoothUtils Class Reference

List of all members.

## Classes
struct | SerialPort
## Public Member Functions
void | ConnectDevice (int deviceId)
## Static Public Member Functions
static BluetoothDeviceInfo | DeviceByAdress (string address)
static void | PrintPairedDevices ()
static void | PrintAllDevices ()
static void | UpdateClient ()
static bool | PairDevice (BluetoothDeviceInfo device)
static void | AutoPairDevices ()
static void | ConnectDevice (BluetoothDeviceInfo device, string devicePin)
static List< SerialPort > | GetSerialPorts ()
static void | PrintSerialPorts ()
static void | PrintLocalAddress ()
static void | PrintDevice (BluetoothDeviceInfo device)
## Properties
static BluetoothEndPoint | LocalEndpoint`[get, set]`
static BluetoothClient | LocalClient`[get, set]`
static BluetoothRadio | PrimaryRadio`[get, set]`

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Bluetooth/BluetoothUtils.cs